//http://www.juliusun.com/class/
#include<Windows.h>

LRESULT CALLBACK WndProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);

int APIENTRY wWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPWSTR lpCmdLine, int nShowCmd)
{
	WCHAR strTitle[] = L"";
	WCHAR strWndClass[] = L"testclass";

	WNDCLASSEX w;
	w.cbClsExtra = 0;
	w.cbWndExtra = 0;
	w.cbSize = sizeof WNDCLASSEX;
	w.hbrBackground = (HBRUSH)GetStockObject(WHITE_BRUSH);
	w.hCursor = LoadCursor(NULL, IDC_ARROW);
	w.hIcon = LoadIcon(NULL, IDI_APPLICATION);
	w.hIconSm = w.hIcon;
	w.hInstance = hInstance;
	w.lpfnWndProc = WndProc;
	w.lpszClassName = strWndClass;
	w.lpszMenuName = NULL;
	w.style = CS_DBLCLKS;
	if (0 == RegisterClassEx(&w))
	{
		return 1;
	}

	HWND hWnd = CreateWindowEx(0, strWndClass, strTitle, WS_OVERLAPPED | WS_CAPTION | WS_SYSMENU | WS_MINIMIZEBOX, 200, 100, 900, 500, NULL, NULL, hInstance, NULL);
	if (NULL == hWnd)
	{
		return 1;
	}

	ShowWindow(hWnd, SW_NORMAL);
	UpdateWindow(hWnd);

	MSG Msg;
	while (GetMessage(&Msg, NULL, 0, 0))
	{
		TranslateMessage(&Msg);
		DispatchMessage(&Msg);
	}

	return 0;
}

LRESULT CALLBACK WndProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	switch (uMsg)
	{
	case WM_CREATE:
#define	IDB_EXIT	101
		CreateWindowEx(0, L"button", L"˳", WS_CHILD | WS_VISIBLE, 10, 10, 100, 30, hWnd, (HMENU)IDB_EXIT, ((LPCREATESTRUCT)lParam)->hInstance, NULL);
		break;
	case WM_COMMAND:
		switch (HIWORD(wParam))
		{
		case BN_CLICKED:
			switch (LOWORD(wParam))
			{
			case IDB_EXIT:
				PostMessage(hWnd, WM_CLOSE, 0, 0);
				break;
			}
			break;
		}break;
	case WM_CLOSE:
		DestroyWindow(hWnd);
		break;
	case WM_DESTROY:
		PostQuitMessage(0);
		break;
	default:
		return DefWindowProc(hWnd, uMsg, wParam, lParam);
	}
	return 0;
}